Vulnonym.org

CVE-2008-1658 - Emetic Nurse

Description

Format string vulnerability in the grant helper (polkit-grant-helper.c) in PolicyKit 0.7 and earlier allows attackers to cause a denial of service (crash) and possibly execute arbitrary code via format strings in a password.

Reference

http://bugs.freedesktop.org/show_bug.cgi?id=15295 http://gitweb.freedesktop.org/?p=PolicyKit.git;a=commitdiff;h=5bc86a14cc0e356bcf8b5f861674f842869b1be7 https://bugs.launchpad.net/ubuntu/+source/policykit/+bug/205037 https://www.redhat.com/archives/fedora-package-announce/2008-April/msg00176.html http://secunia.com/advisories/29755 http://www.mandriva.com/security/advisories?name=MDVSA-2008:087 http://www.securityfocus.com/bid/28702 http://www.vupen.com/english/advisories/2008/1254 https://exchange.xforce.ibmcloud.com/vulnerabilities/41877